/*
 IBMDoK - a kicker applet for IBM sensors
 (c) 2006 by Marco Kraus
 http://www.kraus.tk
 Published under GPL2. See COPYING
*/

#ifndef KICKERDATA_H
#define KICKERDATA_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qframe.h>

#define _THERMALFILE_ "/proc/acpi/ibm/thermal"
#define _UPDATE_ 20
#define _FONTSIZE_ 6

#define _CPULIMIT_ 70
#define _GPULIMIT_ 90
#define _HDDLIMIT_ 50
#define _BATLIMIT_ 70

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;

class KickerData : public QWidget
{
    Q_OBJECT

public:
    KickerData( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~KickerData();

    QLabel* pixmapLabel2;
    QLabel* GPULabel;
    QLabel* CPULabel;
    QLabel* pixmapLabel1;
    QLabel* pixmapLabel3;
    QLabel* HDDLabel;
    QLabel* pixmapLabel4;
    QLabel* BATLabel;

protected:
    QGridLayout* layout1;

private:
    QPixmap image0;
    QPixmap image1;
    QPixmap image2;
    QPixmap image3;

};

#endif // KICKERDATA_H
