/*
 IBMDoK - a kicker applet for IBM sensors
 (c) 2006 by Marco Kraus
 http://www.kraus.tk
 Published under GPL2. See COPYING
*/

#ifndef IBMDOK_H
#define IBMDOK_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kpanelapplet.h>
#include <qstring.h>
#include <kconfig.h>
#include <kglobal.h>
#include <klocale.h>
#include <kconfig.h>
#include <kapplication.h>
#include <kaboutapplication.h>
#include <kmessagebox.h>
#include <qlayout.h>
#include <qlabel.h>
#include <errno.h>
#include <fcntl.h>
#include <unistd.h>
#include <qsizepolicy.h>
#include <qtimer.h>

#include "KickerData.h"

class IBMDoK : public KPanelApplet
{
    Q_OBJECT

public:
    IBMDoK(const QString& configFile, Type t = Normal, int actions = 0, QWidget *parent = 0, const char *name = 0);
    ~IBMDoK();

     virtual int widthForHeight(int height) const;
     virtual int heightForWidth(int width) const;
     virtual void about();
     virtual void preferences();

public slots:
    void readData();

private:
    void resizeEvent(QResizeEvent *);
    void updateDisplay();
    KickerData *Data;

    QLabel *qlabel;
    QString SensorRawValues;
    KConfig *ksConfig;
    QWidget *mainView;
};

#endif
